Skip to navigation

Get inference metrics data.

View as Markdown

Retrieve inference metrics data by id. Supported from control-plane version 2.18 or later.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

workloadIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the workload.

Query parameters

metricTypelist of enumsRequired
Specify which data to request.
Allowed values:
startdatetimeRequired
Start date of time range to fetch data in ISO 8601 timestamp format.
enddatetimeRequired
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamplesintegerOptional0-1000Defaults to 20
The number of samples to take in the specified time range.

Response

Executed successfully.
measurementslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error